
import zh from '@/assets/images/home/china@2x.png'
import en from '@/assets/images/home/USA@2x.jpg'

export const pcFooter = (t:any) => {
  return [
  {
    title: t('header.core_product'),
    list: [
      {
        text: t('header.sdsg'),
        link: 'Meta'
      },
      {
        text: t('header.Mega'),
        link: 'Mega'
      },
      {
        text: t('header.kankanMinion'),
        link: 'Minion'
      },
      {
        text: t('header.mallPro'),
        link: 'KanKan'
      }
    ]
  },
  {
    title: t('header.solutions'),
    list: [
      {
        text: t('header.solutionsExi'),
        link: 'solutions/smartCity'
      },
      {
        text: t('header.solutionsSubject'),
        link: 'solutions/museum'
      },
      {
        text: t('header.solutionsSec'),
        link: 'solutions/government'
      },
      {
        text: t('header.solutionsHouse'),
        link: 'solutions/property'
      },
    ]
  },
  {
    title: t('header.service'),
    list: [
      {
        text: t('header.serviceApp'),
        link: 'service/app/pro'
      }, {
        text: t('service.help'),
        link: 'service/use/help'
      },
      {
        text: t('header.serviceBaoxiu'),
        link: 'service/clause/pro'
      },
    ]
  },
  {
    title: t('header.about'),
    list: [
      {
        text: t('header.aboutCompany'),
        link: 'about'
      },
      {
        text: t('header.aboutNews'),
        link: 'news'
      },
      {
        text: t('header.aboutAgent'),
        link: 'distributor'
      }
    ]
  }
]
}
export const pcHeader = (t:any) => {
  return [
        { text: t('header.sdsg'), link: '/mall/meta' },
        { text: t('header.Mega'), link: '/mall/mega' },
        { text: t('header.kankanMinion'), link: '/mall/kankanMinion' },
        { text: t('header.mallPro'), link: '/mall/kankanPro' },
        { text: t('header.mallPeijian'), link: '/mall/zhijia',items: [
          {
            text: t('header.tripod'),
            link: '/mall/zhijia'
          },
          {
            text: t('header.USBdrive'),
            link: '/mall/USBdrive'
          },
          {
            text: t('header.Battery'),
            link: '/mall/Battery'
          },
        ] },
        { text: t('header.addService'), link: '/mall/member' }
      ]
}

export const languageList = [
  {
        name: '简体中文',
        img: zh,
        value: 'zh' 
  },
  {
        name: 'English',
        img: en,
        value: 'en' 
  }
]